SplFileInfo::isLink
SplFileInfo::isWritable
SplFileInfo
PHP Manual

# SplFileInfo::isReadable

(PHP 5 >= 5.1.2)

SplFileInfo::isReadable — Tells if file is readable

### Description

public bool SplFileInfo::isReadable ( void )

Check if the file is readable.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if readable, `FALSE` otherwise.

### Examples

Example #1 SplFileInfo::isReadable() example

`<?php
$info = new SplFileInfo(__FILE__);
var_dump($info->isReadable());
$info = new SplFileInfo('foo');
var_dump($info->isReadable());
?>`

The above example will output something similar to:

    bool(true)
    bool(false)

SplFileInfo::isLink
SplFileInfo::isWritable
SplFileInfo
PHP Manual